Index: extensions/Piwecard/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/Piwecard/language/ru_RU/plugin.lang.php	(revision 11529)
+++ extensions/Piwecard/language/ru_RU/plugin.lang.php	(revision 11859)
@@ -7,75 +7,75 @@
 
 
-$lang['ecard']							= 'Piwecard';
-$lang['ecard_infos']	 				= 'Подробно о eCard';
-$lang['ecard_from']						= 'От кого';
-$lang['ecard_to']						= 'Кому';
+$lang['ecard']                            = 'Piwecard';
+$lang['ecard_infos']                     = 'Подробно о eCard';
+$lang['ecard_from']                        = 'От кого';
+$lang['ecard_to']                        = 'Кому';
 
 
 
 // ecart.tpl
-$lang['ecard_send']						= 'Отправить';
-$lang['ecard_cancel']					= 'Отказаться';
-$lang['ecard_activ_choice']				= 'Срок годности';
-$lang['ecard_send_method']				= 'Как послать:';
-$lang['ecard_maillink']					= 'Письмо с ссылкой';
-$lang['ecard_mailhtml']					= 'Письмо с фотографией';
-$lang['ecard_send_copy']				= 'Получить копию';
+$lang['ecard_send']                        = 'Отправить';
+$lang['ecard_cancel']                    = 'Отказаться';
+$lang['ecard_activ_choice']                = 'Срок годности';
+$lang['ecard_send_method']                = 'Как послать:';
+$lang['ecard_maillink']                    = 'Письмо с ссылкой';
+$lang['ecard_mailhtml']                    = 'Письмо с фотографией';
+$lang['ecard_send_copy']                = 'Получить копию';
 
 
-$lang['ecard_send_stage1']				= 'Шаг 1 : Напишите сообщение';
-$lang['ecard_send_stage2']				= 'Шаг 2 : Впишите данные';
-$lang['ecard_send_stage3']				= 'Шаг 3 : Выбирете';
-$lang['ecard_send_stage4']				= 'Шаг 4 : Послать открытку!';
+$lang['ecard_send_stage1']                = 'Шаг 1 : Напишите сообщение';
+$lang['ecard_send_stage2']                = 'Шаг 2 : Впишите данные';
+$lang['ecard_send_stage3']                = 'Шаг 3 : Выбирете';
+$lang['ecard_send_stage4']                = 'Шаг 4 : Послать открытку!';
 
-$lang['ecard_send_title']				= 'Заголовок открытки';
-$lang['ecard_send_message']				= 'Текст открытки';
-$lang['ecard_send_exp']					= 'Отправитель';
-$lang['ecard_send_dest']				= 'Получатель';
-$lang['ecard_send_link1']				= 'Отправить открытку';
-$lang['ecard_send_link2']				= 'Кликнуть здесь';
-$lang['ecard_send_link3']				= 'Создать свою собственную открытку';
+$lang['ecard_send_title']                = 'Заголовок открытки';
+$lang['ecard_send_message']                = 'Текст открытки';
+$lang['ecard_send_exp']                    = 'Отправитель';
+$lang['ecard_send_dest']                = 'Получатель';
+$lang['ecard_send_link1']                = 'Вы можете отправить эту фотографию как открытку,';
+$lang['ecard_send_link2']                = 'для этого кликните прям сейчас)';
+$lang['ecard_send_link3']                = 'Создать свою собственную открытку';
 
-$lang['ecard_send_exp_name']			= 'Имя отправителя';
-$lang['ecard_send_exp_mail']			= 'Почта отправителя';
-$lang['ecard_send_dest_name']			= 'Имя получателя';
-$lang['ecard_send_dest_mail']			= 'Почта получателя (dest@dest.com)';
+$lang['ecard_send_exp_name']            = 'Имя отправителя';
+$lang['ecard_send_exp_mail']            = 'Почта отправителя';
+$lang['ecard_send_dest_name']            = 'Имя получателя';
+$lang['ecard_send_dest_mail']            = 'Почта получателя (dest@dest.com)';
 
 
 // publish.tpl
-$lang['ecard_invalid_ecard']			= 'Срок хранения открытки закончился';
-$lang['ecard_publish_bottom']			= 'Эта открытка была послана ';
+$lang['ecard_invalid_ecard']            = 'Срок хранения открытки закончился';
+$lang['ecard_publish_bottom']            = 'Эта открытка была послана ';
 
 // Admin
-$lang['ecard_admin_saveOK']				= 'Конфигурация схранена';
+$lang['ecard_admin_saveOK']                = 'Конфигурация схранена';
 
-$lang['ecard_management']				= 'Управление Piwecard';
-$lang['ecard_manage']					= 'Параметры для этой функции в галерее';
-$lang['ecard_active_user_cat']			= 'Активировать эту функцию только для пользователя, или категории, которой принадлежит пользователь (в основе - автор или название категории)';
-$lang['ecard_active_spec_cats']			= 'Активировать эту функцию для выбранных категорий';
-$lang['ecard_active_all_cats']			= 'Активировать эту функцию для всех категори';
-$lang['ecard_recursiv']					= 'Активировать рекурсив';
-$lang['ecard_cat']						= 'Выбирете категории (Только если не выбрано "все категории")';
-$lang['ecard_authorized_group']			= 'Параметры групп'; 
-$lang['ecard_authorized_group_info']	= 'Не отмечать ==> Доступно для всех пользователей'; 
-$lang['ecard_manage']					= 'Вариант';
+$lang['ecard_management']                = 'Управление Piwecard';
+$lang['ecard_manage']                    = 'Параметры для этой функции в галерее';
+$lang['ecard_active_user_cat']            = 'Активировать эту функцию только для пользователя, или категории, которой принадлежит пользователь (в основе - автор или название категории)';
+$lang['ecard_active_spec_cats']            = 'Активировать эту функцию для выбранных категорий';
+$lang['ecard_active_all_cats']            = 'Активировать эту функцию для всех категори';
+$lang['ecard_recursiv']                    = 'Активировать рекурсив';
+$lang['ecard_cat']                        = 'Выбирете категории (Только если не выбрано "все категории")';
+$lang['ecard_authorized_group']            = 'Параметры групп';
+$lang['ecard_authorized_group_info']    = 'Не отмечать ==> Доступно для всех пользователей';
+$lang['ecard_manage']                    = 'Вариант';
 
-$lang['ecard_params']					= 'Параметры';
-$lang['ecard_config']					= 'Стандартная конфигурация';
+$lang['ecard_params']                    = 'Параметры';
+$lang['ecard_config']                    = 'Стандартная конфигурация';
 
-$lang['ecard_activ_nb']					= 'Срок хранения открытки на сайте (по умолчанию)';
-$lang['ecard_days']						= 'дней';
-$lang['ecard_nolimit']					= 'Вечно';
+$lang['ecard_activ_nb']                    = 'Срок хранения открытки на сайте (по умолчанию)';
+$lang['ecard_days']                        = 'дней';
+$lang['ecard_nolimit']                    = 'Вечно';
 
-$lang['ecard_nomodif_expmail']			= 'Позволить пользователю изменять информацию об отправителе';
-$lang['ecard_send_HTML']				= 'Позволить отправлять открытку с фотографией (в другом случае - в письме будет послана только ссылка на открытку)';
-$lang['ecard_show_infos']				= 'Показать информацию под фотографией (название и автор)';
-$lang['ecard_admin_nb_page']			= 'Количество открыток в списке';
-$lang['ecard_mail_config']				= 'Параметры отправки открытки';
-$lang['ecard_subject_link']				= 'Заголовок письма';
-$lang['ecard_message_link']				= 'Сообщение отправлено (письмо с сылкой)';
-$lang['ecard_message_html']				= 'сообщение отправлено (письмо с фотографией)';
-$lang['ecard_parameters']			= 
-'<b><u>Paramètres </u></b>:<br> 
+$lang['ecard_nomodif_expmail']            = 'Позволить пользователю изменять информацию об отправителе';
+$lang['ecard_send_HTML']                = 'Позволить отправлять открытку с фотографией (в другом случае - в письме будет послана только ссылка на открытку)';
+$lang['ecard_show_infos']                = 'Показать информацию под фотографией (название и автор)';
+$lang['ecard_admin_nb_page']            = 'Количество открыток в списке';
+$lang['ecard_mail_config']                = 'Параметры отправки открытки';
+$lang['ecard_subject_link']                = 'Заголовок письма';
+$lang['ecard_message_link']                = 'Сообщение отправлено (письмо с сылкой)';
+$lang['ecard_message_html']                = 'сообщение отправлено (письмо с фотографией)';
+$lang['ecard_parameters']            =
+'<b><u>Paramètres </u></b>:<br>
 <b>%votrenom</b>    ==> Имя оправителя<br>
 <b>%votremail</b>   ==> Почта отправителя<br>
@@ -90,18 +90,15 @@
 <b>%imginfos</b>    ==> Информация о фотографии (название и автор)';
 
-$lang['ecard_consult']					= 'Список';
-$lang['ecard_consult_detail']			= 'Список открыток';
-$lang['ecard_list']						= 'Посланные открытки';
-$lang['ecard_delete_all']				= 'Удалить все просроченные открытки?';
-$lang['valid']							= 'Свежие';
-$lang['total']							= 'Всего';
-$lang['ecard_force_delete']				= 'Удалить эту открытку?';
-$lang['ecard_delete']					= 'Удалить эту открытку?';
+$lang['ecard_consult']                    = 'Список';
+$lang['ecard_consult_detail']            = 'Список открыток';
+$lang['ecard_list']                        = 'Посланные открытки';
+$lang['ecard_delete_all']                = 'Удалить все просроченные открытки?';
+$lang['valid']                            = 'Свежие';
+$lang['total']                            = 'Всего';
+$lang['ecard_force_delete']                = 'Удалить эту открытку?';
+$lang['ecard_delete']                    = 'Удалить эту открытку?';
 
-$lang['ecard_admin_submit']				= 'Сохранить';
-
-// ******* TODO ******
-$lang['ecard_default_mail']				= 'Default Mail for Guest ecard';
-
+$lang['ecard_admin_submit']                = 'Сохранить';
+$lang['ecard_default_mail']                = 'Адрес e-mail по умолчанию для пользователя Гость';
 
 ?>