Index: /trunk/language/sv_SE/admin.lang.php
===================================================================
--- /trunk/language/sv_SE/admin.lang.php	(revision 11859)
+++ /trunk/language/sv_SE/admin.lang.php	(revision 11860)
@@ -814,4 +814,6 @@
 $lang['Piwigo Update'] = 'Piwigo Uppdatering';
 $lang['Extensions Update'] = 'Uppdatering av tillägg';
+$lang['Rate'] = 'Betygsätt';
+$lang['Average rate'] = 'Genomsnittligt betyg';
 
 ?>
Index: /trunk/language/sv_SE/common.lang.php
===================================================================
--- /trunk/language/sv_SE/common.lang.php	(revision 11859)
+++ /trunk/language/sv_SE/common.lang.php	(revision 11860)
@@ -49,5 +49,5 @@
 $lang['Registration of %s'] = 'Registrering av %s';
 $lang['Album: %s'] = 'Album: %s';
-$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'dålig status för användare \"gäst\", default status kommer användas. Vänligen meddela webmastern.';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Användarstatus för \"gäst\" är ogiltig, standard status kommer användas. Vänligen informera webbansvarig.';
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administratör, webmaster och speciell användare kan inte använda denna metod';
 $lang['this email address is already in use'] = 'en annan användare använder redan denna e-post';
@@ -55,10 +55,10 @@
 $lang['Tag results for'] = 'Tagg-resultat för';
 $lang['from %s to %s'] = 'från %s till %s';
-$lang['Play of slideshow'] = 'Spela bildspel';
+$lang['Play of slideshow'] = 'Starta bildspel';
 $lang['Pause of slideshow'] = 'Pausa bildspel';
-$lang['Repeat the slideshow'] = 'Upprepa bildspel';
-$lang['Not repeat the slideshow'] = 'Upprepa inte bildspel';
-$lang['Reduce diaporama speed'] = 'Minska bildspelshastighet';
-$lang['Accelerate diaporama speed'] = 'Öka bildspelshastighet';
+$lang['Repeat the slideshow'] = 'Repetera bildspel';
+$lang['Not repeat the slideshow'] = 'Repetera inte bildspel';
+$lang['Reduce diaporama speed'] = 'Minska bildspelets hastighet';
+$lang['Accelerate diaporama speed'] = 'Öka bildspelets hastighet';
 $lang['Submit'] = 'Skicka';
 $lang['Yes'] = 'Ja';
@@ -66,11 +66,11 @@
 $lang['%d photo'] = '%d bild';
 $lang['%d photos'] = '%d bilder';
-$lang['%d photo is also linked to current tags'] = '%d bilden är också kopplad till nuvarande taggar';
-$lang['%d photos are also linked to current tags'] = '%d bilder är också kopplade till nuvarande taggar';
-$lang['display photos linked to this tag'] = 'se bilder kopplade till den här taggen bara';
-$lang['photos posted during the last %d days'] = 'bilder postade under de senaste %d dagarna';
+$lang['%d photo is also linked to current tags'] = '%d bilden är även kopplad till aktuella taggar';
+$lang['%d photos are also linked to current tags'] = '%d bilderna är även kopplade till aktuella taggar';
+$lang['display photos linked to this tag'] = 'visa enbart bilder länkade till denna tagg';
+$lang['photos posted during the last %d days'] = 'bilder postade de senaste %d dagarna';
 $lang['Piwigo Help'] = 'Piwigo Hjälp';
 $lang['Rank'] = 'Rang';
-$lang['group by letters'] = 'gruppera på bokstäver';
+$lang['group by letters'] = 'gruppera i bokstavsordning';
 $lang['letters'] = 'bokstäver';
 $lang['show tag cloud'] = 'Visa tagg-moln';
@@ -93,8 +93,7 @@
 $lang['All tags'] = 'Alla taggar';
 $lang['Any tag'] = 'Någon tagg';
-$lang['At least one listed rule must be satisfied.'] = 'Minst ett kriterium måste uppfyllas.';
+$lang['At least one listed rule must be satisfied.'] = 'Minst ett villkor måste uppfyllas.';
 $lang['At least one tag must match'] = 'Minst en tagg måste matcha';
 $lang['Author'] = 'Fotograf';
-$lang['Average rate'] = 'Genomsnittligt betyg';
 $lang['Albums'] = 'Album';
 $lang['Album'] = 'Album';
@@ -107,11 +106,11 @@
 $lang['Create a new account'] = 'Skapa ett nytt konto';
 $lang['Created on'] = 'Skapad den';
-$lang['Creation date'] = 'Skapelsedatum';
-$lang['Current password is wrong'] = 'Nuvarande lösenord är fel';
+$lang['Creation date'] = 'Skapat den';
+$lang['Current password is wrong'] = 'Aktuellt lösenord är fel';
 $lang['Dimensions'] = 'Dimensioner';
 $lang['Display'] = 'Visa';
-$lang['Each listed rule must be satisfied.'] = 'Varje kriterie måste vara uppfyllt.';
+$lang['Each listed rule must be satisfied.'] = 'Varje villkor måste vara uppfyllt.';
 $lang['Email address'] = 'E-postadress';
-$lang['Enter your personnal informations'] = 'Ange personlig info';
+$lang['Enter your personnal informations'] = 'Ange personlig information';
 $lang['Error sending email'] = 'Fel vid sändning av e-post';
 $lang['File name'] = 'Filnamn';
@@ -121,5 +120,5 @@
 $lang['Filter'] = 'Filtrera';
 $lang['Forgot your password?'] = 'Har du glömt lösenordet?';
-$lang['Go through the gallery as a visitor'] = 'Navigera galleriet som en besökare';
+$lang['Go through the gallery as a visitor'] = 'Navigera galleriet som besökare';
 $lang['Help'] = 'Hjälp';
 $lang['Identification'] = 'Identifiering';
@@ -127,19 +126,18 @@
 $lang['Keyword'] = 'Sökord';
 $lang['Links'] = 'Länkar';
-$lang['New password confirmation does not correspond'] = 'Nytt lösenord matchar inte';
-$lang['New password sent by email'] = 'Nytt lösenord skickat med e-post';
-$lang['No email address'] = 'Ingen e-postadress';
+$lang['New password confirmation does not correspond'] = 'Bekräftelse av det nya lösenordet matchar inte';
+$lang['New password sent by email'] = 'Nytt lösenord har skickats';
+$lang['No email address'] = 'E-postadress saknas';
 $lang['No classic user matches this email address'] = 'Ingen träff på e-postadressen';
-$lang['Notification'] = 'RSS';
-$lang['Number of items'] = 'Antal artiklar';
+$lang['Notification'] = 'Meddelande';
+$lang['Number of items'] = 'Antal';
 $lang['Original dimensions'] = 'Originalstorlek';
 $lang['Password forgotten'] = 'Glömt lösenord';
 $lang['Password'] = 'Lösenord';
 $lang['Post date'] = 'Publiceringsdatum';
-$lang['Posted on'] = 'Publicerad den';
+$lang['Posted on'] = 'Publicerat';
 $lang['Profile'] = 'Profil';
 $lang['Quick connect'] = 'Snabblogin';
 $lang['RSS feed'] = 'RSS-flöde';
-$lang['Rate'] = 'Betygsätt';
 $lang['Register'] = 'Registrera';
 $lang['Registration'] = 'Registrering';
@@ -166,5 +164,5 @@
 $lang['About Piwigo'] = 'Om Piwigo';
 $lang['You are not authorized to access the requested page'] = 'Du har inte behörighet till den begärda sidan';
-$lang['add to caddie'] = 'lägg i Korgen';
+$lang['add to caddie'] = 'lägg i korgen';
 $lang['add this photo to your favorites'] = 'lägg bilden i dina favoriter';
 $lang['Administration'] = 'Administration';
@@ -179,5 +177,5 @@
 $lang['Best rated'] = 'Högst betygsatta';
 $lang['display best rated photos'] = 'visa högst betygsatta bilder';
-$lang['caddie'] = 'Korg';
+$lang['caddie'] = 'korg';
 $lang['Calendar'] = 'Kalender';
 $lang['All'] = 'Alla';
@@ -206,11 +204,11 @@
 $lang['chronology_monthly_list'] = 'månadslista';
 $lang['chronology_weekly_list'] = 'veckolista';
-$lang['Click here if your browser does not automatically forward you'] = 'Klicka här om din webbläsare inte automatiskt styr om dig';
-$lang['comment date'] = 'kommentardatum';
+$lang['Click here if your browser does not automatically forward you'] = 'Klicka här om din webbläsare inte automatiskt omdirigerar dig';
+$lang['comment date'] = 'kommentarsdatum';
 $lang['Comment'] = 'Kommentar';
-$lang['Your comment has been registered'] = 'Din kommentar har registrerat';
+$lang['Your comment has been registered'] = 'Din kommentar har registrerats';
 $lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-flood-system: vänta en stund innan du försöker att skicka ytterligare en kommentar';
-$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Din kommentar har INTE registrerats eftersom den inte klarade valideringsreglerna';
-$lang['An administrator must authorize your comment before it is visible.'] = 'En administratör måste godkänna din kommentar innan den blir synlig.';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Din kommentar har INTE registrerats eftersom den inte överensstämmer med valideringsreglerna';
+$lang['An administrator must authorize your comment before it is visible.'] = 'En administratör måste godkänna din kommentar innan den visas.';
 $lang['This login is already used by another user'] = 'Denna inloggning används redan av en annan användare';
 $lang['Comments'] = 'Kommentarer';
@@ -230,5 +228,5 @@
 $lang['edit'] = 'redigera';
 $lang['wrong date'] = 'fel datum';
-$lang['excluded'] = 'uteslutna';
+$lang['excluded'] = 'exkluderade';
 $lang['Your favorites'] = 'Mina favoriter';
 $lang['display your favorites photos'] = 'visa mina favoriterbilder';
@@ -241,6 +239,6 @@
 $lang['available for administrators only'] = 'endast för administratörer';
 $lang['display this album'] = 'visa detta album';
-$lang['display last user comments'] = 'visa senaste användarkommentarerna';
-$lang['customize the appareance of the gallery'] = 'anpassa utseendet på galleriet';
+$lang['display last user comments'] = 'visa de senaste användarkommentarerna';
+$lang['customize the appareance of the gallery'] = 'anpassa galleriets utseende';
 $lang['search'] = 'sök';
 $lang['Home'] = 'Hem';
@@ -260,11 +258,11 @@
 $lang['Maximum photo width'] = 'Maximal bredd på bilderna';
 $lang['Maximum width must be a number superior to 50'] = 'Maximal bredd måste vara större än 50';
-$lang['display a calendar by creation date'] = 'visa en kalender sorterad på datum för skapande';
-$lang['display all photos in all sub-albums'] = 'visa alla bilder i alla album och underliggande album';
+$lang['display a calendar by creation date'] = 'visa en kalender sorterad efter datum för skapande';
+$lang['display all photos in all sub-albums'] = 'visa alla bilder i alla underliggande album';
 $lang['return to normal view mode'] = 'återgå till normalt visningsläge';
-$lang['display a calendar by posted date'] = 'visa en kalender sorterad på datum för publicering';
+$lang['display a calendar by posted date'] = 'visa en kalender sorterad efter publiceringsdatum';
 $lang['Most visited'] = 'Mest besökta';
 $lang['display most visited photos'] = 'visa mest besökta bilder';
-$lang['Unknown identifier'] = 'Okänt användarnamn';
+$lang['Unknown identifier'] = 'Okänt id';
 $lang['New password'] = 'Nytt lösenord';
 $lang['Rate this photo'] = 'Betygsätt den här bilden';
@@ -277,5 +275,5 @@
 $lang['photo'] = 'bild';
 $lang['Click on the photo to see it in high definition'] = 'Klicka på bilden för att se den i hög upplösning';
-$lang['Show file metadata'] = 'Visa metadata för filen';
+$lang['Show file metadata'] = 'Visa filens metadata';
 $lang['Powered by'] = 'Baserat på';
 $lang['Preferences'] = 'Inställningar';
@@ -289,9 +287,9 @@
 $lang['display most recent photos'] = 'visa senaste bilder';
 $lang['Redirection...'] = 'Omdirigering...';
-$lang['Please, enter a login'] = 'Vänligen ange ett användarnamn';
+$lang['Please, enter a login'] = 'Vänligen ange inloggning';
 $lang['login mustn\'t end with a space character'] = 'användarnamn får inte sluta med ett mellanslag';
 $lang['login mustn\'t start with a space character'] = 'användarnamn får inte börja med ett mellanslag';
 $lang['this login is already used'] = 'Detta användarnamn används redan';
-$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'e-postadress måste vara i formen ”kalle@anka.org';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'e-postadress måste vara av formen ”arne@anka.org';
 $lang['please enter your password again'] = 'vänligen ange ditt lösenord igen';
 $lang['Auto login'] = 'Automatisk inloggning';
@@ -307,11 +305,10 @@
 $lang['Search for all terms'] = 'Sök efter alla termer';
 $lang['Search for any terms'] = 'Sök efter någon term';
-$lang['Empty query. No criteria has been entered.'] = 'Tom fråga. Inga kriterier har lagts in.';
+$lang['Empty query. No criteria has been entered.'] = 'Tom fråga. Inga kriterier har angetts.';
 $lang['Search Options'] = 'Sökalternativ';
 $lang['Search results'] = 'Sökresultat';
 $lang['Search in sub-albums'] = 'Sök i underliggande album';
-$lang['searched words : %s'] = 'sökte ord : %s';
+$lang['searched words : %s'] = 'sökte efter : %s';
 $lang['Contact'] = 'Kontakta';
-$lang['%.2f (rated %d times)'] = '%.2f (betygsatt %d gånger)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d album updated'] = '%d album uppdaterat';
@@ -334,7 +331,7 @@
 $lang['Thumbnails'] = 'Miniatyrer';
 $lang['Menu'] = 'Meny';
-$lang['A comment on your site'] = 'En kommentar på er sida';
+$lang['A comment on your site'] = 'En kommentar på din sida';
 $lang['today'] = 'idag';
-$lang['Update your rating'] = 'Uppdatera ditt betyg';
+$lang['Update your rating'] = 'Ändra ditt betyg';
 $lang['wrong filename'] = 'fel filnamn';
 $lang['the username must be given'] = 'användarnamn krävs';
@@ -342,5 +339,5 @@
 $lang['Edit a comment'] = 'Redigera ett inlägg';
 $lang['Are you sure?'] = 'Är du säker?';
-$lang['(!) This comment requires validation'] = '(!) Detta inlägg kräver valideringen';
+$lang['(!) This comment requires validation'] = '(!) Detta inlägg kräver validering';
 $lang['Welcome'] = 'Välkommen';
 $lang['Welcome to your Piwigo photo gallery!'] = 'Välkommen till ditt Piwigo-fotogalleri!';
@@ -355,5 +352,5 @@
 $lang['delete this comment'] = 'ta bort detta inlägg';
 $lang['validate this comment'] = 'validera detta inlägg';
-$lang['html tags are not allowed in login'] = 'HTML-taggar inte är tillåtna i inloggningen';
+$lang['html tags are not allowed in login'] = 'HTML-taggar inte är tillåtna vid inloggning';
 $lang['The number of photos per page must be a not null scalar'] = 'Antal foton per sida får inte vara noll';
 $lang['Number of photos per page'] = 'Antal foton per sida';