Index: /extensions/ContactForm/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/sv_SE/plugin.lang.php	(revision 11868)
+++ /extensions/ContactForm/language/sv_SE/plugin.lang.php	(revision 11869)
@@ -3,12 +3,12 @@
 global $lang;
 
-$lang['cf_plugin_name'] = 'Kontakt Formulär';
+$lang['cf_plugin_name'] = 'Kontaktformulär';
 $lang['contact_form_debug'] = 'Visning av felsökningsinformation';
 
 // ==================================================================
 // Default values if not configured
-$lang['contact_form_title'] = 'Kontakt formulär';
+$lang['contact_form_title'] = 'Kontaktformulär';
 $lang['contact_form'] = 'Kontakt';
-$lang['contact_form_link'] = 'Kontakta webmaster';
+$lang['contact_form_link'] = 'Kontakta webbansvarig';
 
 // ==================================================================
@@ -18,10 +18,10 @@
 // ==================================================================
 // Menubar block
-$lang['cf_from_name'] = 'Ditt Namn';
-$lang['cf_from_mail'] = 'Din E-Post';
+$lang['cf_from_name'] = 'Namn';
+$lang['cf_from_mail'] = 'E-post';
 $lang['cf_subject'] = 'Ämne';
 $lang['cf_message'] = 'Meddelande';
 $lang['cf_submit'] = 'skicka';
-$lang['title_send_mail'] = 'En kommentar på sajten';
+$lang['title_send_mail'] = 'En kommentar till webbsidan';
 
 // ==================================================================
@@ -32,14 +32,14 @@
 $lang['cf_message_error'] = 'Skriv ett meddelande';
 $lang['cf_error_sending_mail'] = 'Fel vid sändning av e-post';
-$lang['cf_sending_mail_successful'] = 'E-post skickats';
+$lang['cf_sending_mail_successful'] = 'E-post har skickats';
 $lang['cf_form_error'] = 'Ogiltiga data';
-$lang['cf_no_unlink'] = 'Funktion \'unlink\' inte tillgänglig...';
+$lang['cf_no_unlink'] = 'Funktionen \'unlink\' inte tillgänglig...';
 $lang['cf_unlink_errors'] = 'Fel inträffade vid borttagning av filer';
-$lang['cf_config_saved'] = 'Konfiguration sparats';
-$lang['cf_config_saved_with_errors'] = 'Konfiguration sparats med fel!';
+$lang['cf_config_saved'] = 'Inställningar har sparats';
+$lang['cf_config_saved_with_errors'] = 'Inställningar har sparats med fel!';
 $lang['cf_length_not_integer'] = 'Storleken måste vara ett heltal';
 $lang['cf_delay_not_integer'] = 'Fördröjningen måste vara ett heltal';
 $lang['cf_link_error'] = 'Variabel kan inte  innehålla mellanslag';
-$lang['cf_hide'] = 'Gömma';
+$lang['cf_hide'] = 'Dölj';
 
 // ==================================================================
@@ -47,23 +47,23 @@
 $lang['cf_validate'] = 'Skicka';
 // Configuration tab
-$lang['cf_tab_config'] = 'Konfiguration';
-$lang['cf_config'] = 'Konfiguration';
-$lang['cf_config_desc'] = 'Allmänna konfiguration för plugg-in';
-$lang['cf_label_config'] = 'Allmän konfiguration';
-$lang['cf_label_mail'] = 'E-post konfiguration';
-$lang['cf_menu_link'] = 'Lägg länken i menyn';
-$lang['cf_guest_allowed'] = 'Tillåt gäster att komma till formuläret';
-$lang['cf_mail_prefix'] = 'Prefix av skickade e-postmeddelandet';
-$lang['cf_separator'] = 'Tecken (er) som används för att definiera en separation bar i e-post i textformat';
-$lang['cf_separator_length'] = 'Storlek på "baren"';
-$lang['cf_mandatory_name'] = 'Namn är obligatorisk';
-$lang['cf_mandatory_mail'] = 'E-postadressen är obligatorisk';
+$lang['cf_tab_config'] = 'Inställningar';
+$lang['cf_config'] = 'Inställningar';
+$lang['cf_config_desc'] = 'Allmänna inställningar för plugg-in';
+$lang['cf_label_config'] = 'Allmäna inställningar';
+$lang['cf_label_mail'] = 'E-post inställningar';
+$lang['cf_menu_link'] = 'Inkludera länk i menyn';
+$lang['cf_guest_allowed'] = 'Tillåt gäster att använda formuläret';
+$lang['cf_mail_prefix'] = 'Prefix till "Ämne" i det sända e-postmeddelandet';
+$lang['cf_separator'] = 'Symbol att använda som avdelare i e-post i textformat';
+$lang['cf_separator_length'] = 'Avdelarens längd';
+$lang['cf_mandatory_name'] = 'Obligatoriskt namn';
+$lang['cf_mandatory_mail'] = 'Obligatorisk e-postadress';
 $lang['cf_redirect_delay'] = 'Fördröjning av omdirigering';
 // Emails tab
 $lang['cf_tab_emails'] = 'E-post';
 $lang['cf_emails'] = 'E-post';
-$lang['cf_emails_desc'] = 'Destination e-post hantering';
+$lang['cf_emails_desc'] = 'Destinationshantering för e-post';
 $lang['cf_active'] = 'Aktiv e-post';
 $lang['cf_no_mail'] = 'Ingen e-postadress tillgänglig';
-$lang['cf_refresh'] = 'generera ny e-post lista';
+$lang['cf_refresh'] = 'Uppdatera';
 ?>