Index: /extensions/Comments_on_Albums/include/coa_admin_comments.php
===================================================================
--- /extensions/Comments_on_Albums/include/coa_admin_comments.php	(revision 11873)
+++ /extensions/Comments_on_Albums/include/coa_admin_comments.php	(revision 11874)
@@ -21,6 +21,6 @@
 
 $tabsheet = new tabsheet();
-$tabsheet->add('pictures', l10n('COA_comments_photos'), get_root_url().'admin.php?page=comments');
-$tabsheet->add('albums', l10n('COA_comments_albums'), get_root_url().'admin.php?page=comments&amp;section=albums');
+$tabsheet->add('pictures', l10n('Comments on photos'), get_root_url().'admin.php?page=comments');
+$tabsheet->add('albums', l10n('Comments on albums'), get_root_url().'admin.php?page=comments&amp;section=albums');
 $tabsheet->select($page['tab']);
 $tabsheet->assign();
Index: /extensions/Comments_on_Albums/include/coa_comments_page.php
===================================================================
--- /extensions/Comments_on_Albums/include/coa_comments_page.php	(revision 11873)
+++ /extensions/Comments_on_Albums/include/coa_comments_page.php	(revision 11874)
@@ -43,6 +43,6 @@
 
   '.$search.'
-    <li><a href="comments.php?display_mode=albums" title="' . l10n('COA_comments_albums') . '" class="pwg-state-default pwg-button">
-      <span class="pwg-icon pwg-icon-comments-albums">&nbsp;</span><span class="pwg-button-text">' . l10n('COA_comments_albums') . '</span>
+    <li><a href="comments.php?display_mode=albums" title="' . l10n('Comments on albums') . '" class="pwg-state-default pwg-button">
+      <span class="pwg-icon pwg-icon-comments-albums">&nbsp;</span><span class="pwg-button-text">' . l10n('Comments on albums') . '</span>
     </a></li>';
 
Index: /extensions/Comments_on_Albums/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/de_DE/plugin.lang.php	(revision 11873)
+++ /extensions/Comments_on_Albums/language/de_DE/plugin.lang.php	(revision 11874)
@@ -2,16 +2,16 @@
 
 /* common */
-$lang['COA_comments_photos'] = "Kommentare zu Fotos";
-$lang['COA_comments_albums'] = "Kommentare zu Alben";
+$lang['Comments on photos'] = 'Kommentare zu Fotos';
+$lang['Comments on albums'] = 'Kommentare zu Alben';
 
 /* admin */
-$lang['COA_icon_pack'] = 'Icons Pack';
-$lang['COA_icon_normal'] = 'Grundzustand';
-$lang['COA_icon_over'] = 'Over-Status';
+$lang['Icons pack'] = 'Icons Pack';
+$lang['Basic state'] = 'Grundzustand';
+$lang['Over state'] = 'Over-Status';
 
-$lang['COA_help_icon_pack'] = "Wählen Sie welche Icons auf der Hauptseite der Kommentare verwendet werden sollen.<br>
+$lang['COA_help_icon_pack'] = 'Wählen Sie welche Icons auf der Hauptseite der Kommentare verwendet werden sollen.<br>
   <br>
-  Sie können Ihre eigene im folgenden Ordner hinzufügen: <i>plugins/comments_on_pictures/template/s26</i>.";
-$lang['COA_comment_validation_link'] = "Die Validierung der Kommentare (falls aktiviert) zu den Alben ist auf <a href='admin.php?page=comments&section=albums'>der gleichen Seite</a> wie die Kommentare zu den Fotos.";
+  Sie können Ihre eigene im folgenden Ordner hinzufügen: <i>plugins/comments_on_pictures/template/s26</i>.';
+$lang['COA_comment_validation_link'] = 'Die Validierung der Kommentare (falls aktiviert) zu den Alben ist auf <a href="admin.php?page=comments&section=albums">der gleichen Seite</a> wie die Kommentare zu den Fotos.';
 
 ?>
Index: /extensions/Comments_on_Albums/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/en_UK/plugin.lang.php	(revision 11873)
+++ /extensions/Comments_on_Albums/language/en_UK/plugin.lang.php	(revision 11874)
@@ -2,16 +2,16 @@
 
 /* common */
-$lang['COA_comments_photos'] = "Comments on photos";
-$lang['COA_comments_albums'] = "Comments on albums";
+$lang['Comments on photos'] = 'Comments on photos';
+$lang['Comments on albums'] = 'Comments on albums';
 
 /* admin */
-$lang['COA_icon_pack'] = 'Icons pack';
-$lang['COA_icon_normal'] = 'Basic state';
-$lang['COA_icon_over'] = 'Over state';
+$lang['Icons pack'] = 'Icons pack';
+$lang['Basic state'] = 'Basic state';
+$lang['Over state'] = 'Over state';
 
-$lang['COA_help_icon_pack'] = "Select which icons must be used on the main Comments page.<br>
+$lang['COA_help_icon_pack'] = 'Select which icons must be used on the main Comments page.<br>
   <br>
-  You can add your owns in the folder <i>plugins/comments_on_pictures/template/s26</i>.";
-$lang['COA_comment_validation_link'] = "Validation (if enabled) of comments on albums is on <a href='admin.php?page=comments&section=albums'>the same page</a> as the comments on pictures.";
+  You can add your owns in the folder <i>plugins/comments_on_pictures/template/s26</i>.';
+$lang['COA_comment_validation_link'] = 'Validation (if enabled) of comments on albums is on <a href="admin.php?page=comments&section=albums">the same page</a> as the comments on pictures.';
 
 ?>
Index: /extensions/Comments_on_Albums/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/fr_FR/plugin.lang.php	(revision 11873)
+++ /extensions/Comments_on_Albums/language/fr_FR/plugin.lang.php	(revision 11874)
@@ -2,16 +2,16 @@
 
 /* common */
-$lang['COA_comments_photos'] = "Commentaires sur les photos";
-$lang['COA_comments_albums'] = "Commentaires sur les albums";
+$lang['Comments on photos'] = 'Commentaires sur les photos';
+$lang['Comments on albums'] = 'Commentaires sur les albums';
 
 /* admin */
-$lang['COA_icon_pack'] = "Pack d'icônes";
-$lang['COA_icon_normal'] = 'Etat bas';
-$lang['COA_icon_over'] = 'Etat haut';
+$lang['Icons pack'] = 'Pack d\'icônes';
+$lang['Basic state'] = 'Etat bas';
+$lang['Over state'] = 'Etat haut';
 
-$lang['COA_help_icon_pack'] = "Selectionnez les icônes à utiliser sur la page principale des commentaires<br>
+$lang['COA_help_icon_pack'] = 'Selectionnez les icônes à utiliser sur la page principale des commentaires<br>
   <br>
-  Vous pouvez ajouter les votres dans le dossier <i>plugins/comments_on_pictures/template/s26</i>.";
-$lang['COA_comment_validation_link'] = "La validation (si activée) des commentaires sur les albums ce fait <a href='admin.php?page=comments&section=albums'>sur la même page</a> que pour les commentaires sur les photos.";
+  Vous pouvez ajouter les votres dans le dossier <i>plugins/comments_on_pictures/template/s26</i>.';
+$lang['COA_comment_validation_link'] = 'La validation (si activée) des commentaires sur les albums ce fait <a href="admin.php?page=comments&section=albums">sur la même page</a> que pour les commentaires sur les photos.';
   
 ?>
Index: /extensions/Comments_on_Albums/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/hu_HU/plugin.lang.php	(revision 11873)
+++ /extensions/Comments_on_Albums/language/hu_HU/plugin.lang.php	(revision 11874)
@@ -2,16 +2,16 @@
 
 /* common */
-$lang['COA_comments_photos'] = "Hozzászólások a kép oldalakon";
-$lang['COA_comments_albums'] = "Hozzászólások az album oldalakon";
+$lang['Comments on photos'] = 'Hozzászólások a kép oldalakon';
+$lang['Comments on albums'] = 'Hozzászólások az album oldalakon';
 
 /* admin */
-$lang['COA_icon_pack'] = 'Ikonkészlet';
-$lang['COA_icon_normal'] = 'Alap állapot';
-$lang['COA_icon_over'] = 'Bővített állapot';
+$lang['Icons pack'] = 'Ikonkészlet';
+$lang['Basic state'] = 'Alap állapot';
+$lang['Over state'] = 'Bővített állapot';
 
-$lang['COA_help_icon_pack'] = "Ki kell választani a Hozzászólások fő oldalon megjelenítendő ikonokat.<br>
+$lang['COA_help_icon_pack'] = 'Ki kell választani a Hozzászólások fő oldalon megjelenítendő ikonokat.<br>
   <br>
-  Hozzáadhat saját mappát a  <i>plugins/comments_on_pictures/template/s26</i> könyvtárhoz.";
-$lang['COA_comment_validation_link'] = "A hozzászólások engedélyezése (ha be van kapcsolva) az albumokhoz és képekhez <a href='admin.php?page=comments&section=albums'>közös oldalon</a> történik.";
+  Hozzáadhat saját mappát a  <i>plugins/comments_on_pictures/template/s26</i> könyvtárhoz.';
+$lang['COA_comment_validation_link'] = 'A hozzászólások engedélyezése (ha be van kapcsolva) az albumokhoz és képekhez <a href="admin.php?page=comments&section=albums">közös oldalon</a> történik.';
 
 ?>
Index: /extensions/Comments_on_Albums/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/it_IT/plugin.lang.php	(revision 11873)
+++ /extensions/Comments_on_Albums/language/it_IT/plugin.lang.php	(revision 11874)
@@ -2,11 +2,11 @@
 
 /* common */
-$lang['COA_comments_photos'] = 'Commenti sulle foto';
-$lang['COA_comments_albums'] = 'Commenti sugli album';
+$lang['Comments on photos'] = 'Commenti sulle foto';
+$lang['Comments on albums'] = 'Commenti sugli album';
 
 /* admin */
-$lang['COA_icon_pack'] = 'Set d\'icone';
-$lang['COA_icon_normal'] = 'Stato di base';
-$lang['COA_icon_over'] = 'Stato elevato';
+$lang['Icons pack'] = 'Set d\'icone';
+$lang['Basic state'] = 'Stato di base';
+$lang['Over state'] = 'Stato elevato';
 
 $lang['COA_help_icon_pack'] = 'Selezionare le icone da usare nella pagina principale dei Commenti<br>
Index: /extensions/Comments_on_Albums/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/lv_LV/plugin.lang.php	(revision 11873)
+++ /extensions/Comments_on_Albums/language/lv_LV/plugin.lang.php	(revision 11874)
@@ -2,17 +2,16 @@
 
 /* common */
-$lang['COA_comments_photos'] = "Komentari fotografijam";
-$lang['COA_comments_albums'] = "Komentari albumiem";
+$lang['Comments on photos'] = 'Komentari fotografijam';
+$lang['Comments on albums'] = 'Komentari albumiem';
 
 /* admin */
-$lang['COA_icon_pack'] = 'Ikonu paka';
-$lang['COA_icon_normal'] = 'Pamatstavoklis';
-$lang['COA_icon_over'] = 'Virsstavoklis';
+$lang['Icons pack'] = 'Ikonu paka';
+$lang['Basic state'] = 'Pamatstavoklis';
+$lang['Over state'] = 'Virsstavoklis';
 
-$lang['COA_help_icon_pack'] = "Izvelieties. kuras ikonas lietosiet Komentaru galvenaja lapa.<br>
+$lang['COA_help_icon_pack'] = 'Izvelieties. kuras ikonas lietosiet Komentaru galvenaja lapa.<br>
 <br>
-Varat pievienot pai savas ikonas mape <i>plugins/comments_on_pictures/template/s26</i>.";
-$lang['COA_comment_validation_link'] = "Albuma komentaru validacija (ja iespejota) atrodas <a
-href='admin.php?page=comments§ion=albums'>taja paa lapa,</a> kur komentari atteliem.";
+Varat pievienot pai savas ikonas mape <i>plugins/comments_on_pictures/template/s26</i>.';
+$lang['COA_comment_validation_link'] = 'Albuma komentaru validacija (ja iespejota) atrodas <a href="admin.php?page=comments§ion=albums">taja paa lapa,</a> kur komentari atteliem.';
 
 ?>
Index: /extensions/Comments_on_Albums/template/comments_page.tpl
===================================================================
--- /extensions/Comments_on_Albums/template/comments_page.tpl	(revision 11873)
+++ /extensions/Comments_on_Albums/template/comments_page.tpl	(revision 11874)
@@ -22,6 +22,6 @@
 <div class="titrePage">
   <ul class="categoryActions">
-    <li><a href="comments.php" title="{'COA_comments_photos'|@translate}" class="pwg-state-default pwg-button">
-      <span class="pwg-icon pwg-icon-comments-images">&nbsp;</span><span class="pwg-button-text">{'COA_comments_photos'|@translate}</span>
+    <li><a href="comments.php" title="{'Comments on photos'|@translate}" class="pwg-state-default pwg-button">
+      <span class="pwg-icon pwg-icon-comments-images">&nbsp;</span><span class="pwg-button-text">{'Comments on photos'|@translate}</span>
     </a></li>
     <li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
Index: /extensions/Comments_on_Albums/template/config.tpl
===================================================================
--- /extensions/Comments_on_Albums/template/config.tpl	(revision 11873)
+++ /extensions/Comments_on_Albums/template/config.tpl	(revision 11874)
@@ -31,8 +31,8 @@
 <form method="post" action="" class="properties" id="CR_config">
   <fieldset>
-    <legend><span class="title cluetip" title="{'COA_icon_pack'|@translate}|{'COA_help_icon_pack'|@translate}">{'COA_icon_pack'|@translate}</span></legend>
+    <legend><span class="title cluetip" title="{'Icons pack'|@translate}|{'COA_help_icon_pack'|@translate}">{'Icons pack'|@translate}</span></legend>
     <table>  
       <tr>
-        <td><span class="title">{'COA_icon_normal'|@translate}</span></td>
+        <td><span class="title">{'Basic state'|@translate}</span></td>
         <td>
           <select name="icon_color">
@@ -46,5 +46,5 @@
       </tr>
       <tr>
-        <td><span class="title">{'COA_icon_over'|@translate}</span></td>
+        <td><span class="title">{'Over state'|@translate}</span></td>
         <td>
           <select name="icon_color_over">