Index: /extensions/SmiliesSupport/language/ar_SA/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/ar_SA/plugin.lang.php	(revision 11874)
+++ /extensions/SmiliesSupport/language/ar_SA/plugin.lang.php	(revision 11875)
@@ -1,10 +1,10 @@
 <?php
 
-$lang['smilies_dir'] = "مجلد الوجوه التعبيرية";
-$lang['nb_columns'] = "عدد الاعمدة";
-$lang['representant'] = "ممثل";
-$lang['All Smilies'] = "كل الوجوه التعبيرية";
-$lang['smilies_file_help'] = "افتراضيا عندما ينقر المستخدم على  الوجوه التعبيرية، دعم الوجوه التعبيرية يضيف مطابقة الكلمات لاسم الملف (smile.png -> :smile:).<br>
-  ولكن هنا يمكنك تكوين كلمات أخرى لتحل محلها. كل الوجوه التعبيرية في مجلد لها خاصيتها<i>smilies.txt</i> file.";
+$lang['Smileys\' folder'] = 'مجلد الوجوه التعبيرية';
+$lang['Nb. columns'] = 'عدد الاعمدة';
+$lang['Representative'] = 'ممثل';
+$lang['All Smilies'] = 'كل الوجوه التعبيرية';
+$lang['smilies_file_help'] = 'افتراضيا عندما ينقر المستخدم على  الوجوه التعبيرية، دعم الوجوه التعبيرية يضيف مطابقة الكلمات لاسم الملف (smile.png -> :smile:).<br>
+  ولكن هنا يمكنك تكوين كلمات أخرى لتحل محلها. كل الوجوه التعبيرية في مجلد لها خاصيتها<i>smilies.txt</i> file.';
 
 ?>
Index: /extensions/SmiliesSupport/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/cs_CZ/plugin.lang.php	(revision 11874)
+++ /extensions/SmiliesSupport/language/cs_CZ/plugin.lang.php	(revision 11875)
@@ -1,7 +1,7 @@
 <?php
 
-$lang['smilies_dir'] = 'Smileys\' složka';
-$lang['nb_columns'] = 'Nb. sloupců';
-$lang['representant'] = 'Vzor';
+$lang['Smileys\' folder'] = 'Smileys\' složka';
+$lang['Nb. columns'] = 'Nb. sloupců';
+$lang['Representative'] = 'Vzor';
 $lang['All Smilies'] = 'Všechny Smajlíci';
 $lang['smilies_file_help'] = 'jako výchozí je když uživatel klikne na smajlík, Podpora Smajlíků vloží klíčové slovo udávající význam podle názvu souboru (smile.png -> :smile:).<br>
Index: /extensions/SmiliesSupport/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/de_DE/plugin.lang.php	(revision 11874)
+++ /extensions/SmiliesSupport/language/de_DE/plugin.lang.php	(revision 11875)
@@ -1,10 +1,10 @@
 <?php
 
-$lang['smilies_dir'] = "Smilies Ordner";
-$lang['nb_columns'] = "Anz. Spalten";
-$lang['representant'] = "Repräsentative";
-$lang['All Smilies'] = "Alle Smilies";
-$lang['smilies_file_help'] = "Standardmäßig fügt Smilies Support ein dem Dateinamen entsprechendes Schlüsselwort (smile.png -> :smile:) ein, wenn ein Benutzer auf einen Smiley klickt.<br>
-  Hier können Sie jedoch andere Wörter angeben, die ersetzt werden sollen. Jeder Smilies Ordner verfügt über eine eigene <i>smilies.txt</i> Datei.";
+$lang['Smileys\' folder'] = 'Smilies Ordner';
+$lang['Nb. columns'] = 'Anz. Spalten';
+$lang['Representative'] = 'Repräsentative';
+$lang['All Smilies'] = 'Alle Smilies';
+$lang['smilies_file_help'] = 'Standardmäßig fügt Smilies Support ein dem Dateinamen entsprechendes Schlüsselwort (smile.png -> :smile:) ein, wenn ein Benutzer auf einen Smiley klickt.<br>
+  Hier können Sie jedoch andere Wörter angeben, die ersetzt werden sollen. Jeder Smilies Ordner verfügt über eine eigene <i>smilies.txt</i> Datei.';
 
 ?>
Index: /extensions/SmiliesSupport/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/en_UK/plugin.lang.php	(revision 11874)
+++ /extensions/SmiliesSupport/language/en_UK/plugin.lang.php	(revision 11875)
@@ -1,10 +1,10 @@
 <?php
 
-$lang['smilies_dir'] = "Smileys' folder";
-$lang['nb_columns'] = "Nb. columns";
-$lang['representant'] = "Representative";
-$lang['All Smilies'] = "All Smilies";
-$lang['smilies_file_help'] = "By default when a user clicks on a smiley, Smilies Support adds a keyword matching the name of the file (smile.png -> :smile:).<br>
-  But here you can configure other strings to be replaced. Each smilies folder has its own <i>smilies.txt</i> file.";
+$lang['Smileys\' folder'] = 'Smileys\' folder';
+$lang['Nb. columns'] = 'Nb. columns';
+$lang['Representative'] = 'Representative';
+$lang['All Smilies'] = 'All Smilies';
+$lang['smilies_file_help'] = 'By default when a user clicks on a smiley, Smilies Support adds a keyword matching the name of the file (smile.png -> :smile:).<br>
+  But here you can configure other strings to be replaced. Each smilies folder has its own <i>smilies.txt</i> file.';
 
 ?>
Index: /extensions/SmiliesSupport/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/es_ES/plugin.lang.php	(revision 11874)
+++ /extensions/SmiliesSupport/language/es_ES/plugin.lang.php	(revision 11875)
@@ -1,10 +1,10 @@
 <?php
 
-$lang['smilies_dir'] = "Portapapeles de los smileys";
-$lang['nb_columns'] = "Núm. de columnas";
-$lang['representant'] = "Representante";
-$lang['All Smilies'] ="Todos los smileys";
-$lang['smilies_file_help'] = "Sin instrucción cuando el usuario hace clic en un smiley, Smilies Support añade una palabra clave correspondiendo con el nombre del   archivo (smile.png -> :smile:).<br>
- Pero puede Vd configurar aquí otras cadenas de caracteres que serán sustituídas. Cada  portapapeles de smileys tiene su propio archivo  <i>smilies.txt</i>.";
+$lang['Smileys\' folder'] = 'Portapapeles de los smileys';
+$lang['Nb. columns'] = 'Núm. de columnas';
+$lang['Representative'] = 'Representativee';
+$lang['All Smilies'] ='Todos los smileys';
+$lang['smilies_file_help'] = 'Sin instrucción cuando el usuario hace clic en un smiley, Smilies Support añade una palabra clave correspondiendo con el nombre del   archivo (smile.png -> :smile:).<br>
+ Pero puede Vd configurar aquí otras cadenas de caracteres que serán sustituídas. Cada  portapapeles de smileys tiene su propio archivo  <i>smilies.txt</i>.';
 
 ?>
Index: /extensions/SmiliesSupport/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/fr_FR/plugin.lang.php	(revision 11874)
+++ /extensions/SmiliesSupport/language/fr_FR/plugin.lang.php	(revision 11875)
@@ -1,10 +1,10 @@
 <?php
 
-$lang['smilies_dir'] = "Dossier des smileys";
-$lang['nb_columns'] = "Nb. de colonnes";
-$lang['representant'] = "Représentant";
-$lang['All Smilies'] = "Tous les smileys";
-$lang['smilies_file_help'] = "Par défaut quand l'utilisateur clique sur un smiley, Smilies Support ajoute un mot clef correspondant au nom du fichier (smile.png -> :smile:).<br>
-  Mais vous pouvez configurer ici d'autres chaînes de caractères qui seront remplacées. Chaque dossier de smileys a son propre fichier <i>smilies.txt</i>.";
+$lang['Smileys\' folder'] = 'Dossier des smileys';
+$lang['Nb. columns'] = 'Nb. de colonnes';
+$lang['Representative'] = 'Représentant';
+$lang['All Smilies'] = 'Tous les smileys';
+$lang['smilies_file_help'] = 'Par défaut quand l\'utilisateur clique sur un smiley, Smilies Support ajoute un mot clef correspondant au nom du fichier (smile.png -> :smile:).<br>
+  Mais vous pouvez configurer ici d\'autres chaînes de caractères qui seront remplacées. Chaque dossier de smileys a son propre fichier <i>smilies.txt</i>.';
 
 ?>
Index: /extensions/SmiliesSupport/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/hu_HU/plugin.lang.php	(revision 11874)
+++ /extensions/SmiliesSupport/language/hu_HU/plugin.lang.php	(revision 11875)
@@ -1,10 +1,10 @@
 <?php
 
-$lang['smilies_dir'] = "Hangulatjelek elérési útja";
-$lang['nb_columns'] = "Oszlopok száma";
-$lang['representant'] = "Képviselő";
-$lang['All Smilies'] = "Összes hangulatjel";
-$lang['smilies_file_help'] = "Alapértelmezésben, amikor egy felhasználó rákattint egy hangulatjelre, a Smilies Support hozzáad egy kulcsszóegyezőséget a fájl nevéhez. (smile.png -> :smile:).<br>
-  Lehetőség van beállítani másik stringet a kicseréléséhez. Minden egyes hangulatjel könyvtár rendelkezik egy saját <i>smilies.txt</i> fájllal.";
+$lang['Smileys\' folder'] = 'Hangulatjelek elérési útja';
+$lang['Nb. columns'] = 'Oszlopok száma';
+$lang['Representative'] = 'Képviselő';
+$lang['All Smilies'] = 'Összes hangulatjel';
+$lang['smilies_file_help'] = 'Alapértelmezésben, amikor egy felhasználó rákattint egy hangulatjelre, a Smilies Support hozzáad egy kulcsszóegyezőséget a fájl nevéhez. (smile.png -> :smile:).<br>
+  Lehetőség van beállítani másik stringet a kicseréléséhez. Minden egyes hangulatjel könyvtár rendelkezik egy saját <i>smilies.txt</i> fájllal.';
 
 ?>
Index: /extensions/SmiliesSupport/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/it_IT/plugin.lang.php	(revision 11874)
+++ /extensions/SmiliesSupport/language/it_IT/plugin.lang.php	(revision 11875)
@@ -1,7 +1,7 @@
 <?php
 
-$lang['smilies_dir'] = 'Cartella degli smileys';
-$lang['nb_columns'] = 'Num. di colonne';
-$lang['representant'] = 'Rappresentante';
+$lang['Smileys\' folder'] = 'Cartella degli smileys';
+$lang['Nb. columns'] = 'Num. di colonne';
+$lang['Representative'] = 'Rappresentante';
 $lang['All Smilies'] = 'Tutti gli smiley';
 $lang['smilies_file_help'] = 'Di default, quando un utente clicca su un smiley, SmiliesSupport aggiunge una keyword corrispondente al nome del fine (smile.png -> :smile:).<br>
Index: /extensions/SmiliesSupport/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/lv_LV/plugin.lang.php	(revision 11874)
+++ /extensions/SmiliesSupport/language/lv_LV/plugin.lang.php	(revision 11875)
@@ -1,10 +1,10 @@
 <?php
 
-$lang['smilies_dir'] = "Smailinu mape";
-$lang['nb_columns'] = "Nb. kolonas";
-$lang['representant'] = "Parstavošs";
-$lang['All Smilies'] = "Visi Smailini";
-$lang['smilies_file_help'] = "Pēc noklusēšanas, ja klikšķiniet uz smaidiņa, Smaidiņu Atbalsts (Smilies Support) pievieno ar faila (smile.png -> :smile:) nosaukumu sakrītošu atslēgvārdu.<br>
-  Ir iespējams nokonfigurēt arī citus variantus. Katrai smailiju mapei ir pašai savs <i>smilies.txt</i> fails.";
+$lang['Smileys\' folder'] = 'Smailinu mape';
+$lang['Nb. columns'] = 'Nb. kolonas';
+$lang['Representative'] = 'Parstavošs';
+$lang['All Smilies'] = 'Visi Smailini';
+$lang['smilies_file_help'] = 'Pēc noklusēšanas, ja klikšķiniet uz smaidiņa, Smaidiņu Atbalsts (Smilies Support) pievieno ar faila (smile.png -> :smile:) nosaukumu sakrītošu atslēgvārdu.<br>
+  Ir iespējams nokonfigurēt arī citus variantus. Katrai smailiju mapei ir pašai savs <i>smilies.txt</i> fails.';
 
 ?>
Index: /extensions/SmiliesSupport/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/nl_NL/plugin.lang.php	(revision 11874)
+++ /extensions/SmiliesSupport/language/nl_NL/plugin.lang.php	(revision 11875)
@@ -1,7 +1,7 @@
 <?php
 
-$lang['smilies_dir'] = 'Smiley\'s map';
-$lang['nb_columns'] = 'Nb. kolommen';
-$lang['representant'] = 'Representatieve';
+$lang['Smileys\' folder'] = 'Smiley\'s map';
+$lang['Nb. columns'] = 'Nb. kolommen';
+$lang['Representative'] = 'Representatieve';
 $lang['All Smilies'] = 'Alle Smileys';
 $lang['smilies_file_help'] = 'Als een gebruiker op een smiley klikt, voegt de Smilies Support standaard een trefwoord toe die overeenkomt met de naam van het bestand (smile.png -> :smile:). <br>
Index: /extensions/SmiliesSupport/language/no_NO/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/no_NO/plugin.lang.php	(revision 11874)
+++ /extensions/SmiliesSupport/language/no_NO/plugin.lang.php	(revision 11875)
@@ -1,10 +1,10 @@
 <?php
 
-$lang['smilies_dir'] = "Smileys' folder";
-$lang['nb_columns'] = "Nb. columns";
-$lang['representant'] = "Representative";
-$lang['All Smilies'] = "All Smilies";
-$lang['smilies_file_help'] = "By default when a user clicks on a smiley, Smilies Support adds a keyword matching the name of the file (smile.png -> :smile:).<br>
-  But here you can configure other strings to be replaced. Each smilies folder has its own <i>smilies.txt</i> file.";
+$lang['Smileys\' folder'] = 'Smileys\' folder';
+$lang['Nb. columns'] = 'Nb. columns';
+$lang['Representative'] = 'Representative';
+$lang['All Smilies'] = 'All Smilies';
+$lang['smilies_file_help'] = 'By default when a user clicks on a smiley, Smilies Support adds a keyword matching the name of the file (smile.png -> :smile:).<br>
+  But here you can configure other strings to be replaced. Each smilies folder has its own <i>smilies.txt</i> file.';
 
 ?>
Index: /extensions/SmiliesSupport/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/pl_PL/plugin.lang.php	(revision 11874)
+++ /extensions/SmiliesSupport/language/pl_PL/plugin.lang.php	(revision 11875)
@@ -1,7 +1,7 @@
 <?php
 
-$lang['smilies_dir'] = 'Folder z emotikonami';
-$lang['nb_columns'] = 'Liczba kolumn'; 
-$lang['representant'] = 'Reprezentant';
+$lang['Smileys\' folder'] = 'Folder z emotikonami';
+$lang['Nb. columns'] = 'Liczba kolumn'; 
+$lang['Representative'] = 'Reprezentant';
 $lang['All Smilies'] = 'Wszystkie emotikony';
 $lang['smilies_file_help'] = 'Domyślnie, gdy użytkownik kliknie w emotikon, Smilies Support doda słowo kluczowe odpowiadające nazwie danego pliku z emotikonem (smile.png -> :smile:). <br>
Index: /extensions/SmiliesSupport/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/ru_RU/plugin.lang.php	(revision 11874)
+++ /extensions/SmiliesSupport/language/ru_RU/plugin.lang.php	(revision 11875)
@@ -1,7 +1,7 @@
 <?php
 
-$lang['smilies_dir'] = 'Папка со смайликами';
-$lang['nb_columns'] = 'Количество';
-$lang['representant'] = 'Представитель';
+$lang['Smileys\' folder'] = 'Папка со смайликами';
+$lang['Nb. columns'] = 'Количество';
+$lang['Representative'] = 'Представитель';
 $lang['All Smilies'] = 'Все смайлики';
 $lang['smilies_file_help'] = 'По умолчанию, когда пользователь кликает на смайлик, плагин добавляет коючевое слово, соотретствующее имени файла со смайликом (например, smile.png -> :smile:).<br> С помощью плагина вы можете настроить автозамену. В каждой папке со смайликами находится файл <i>smilies.txt</i>.';
Index: /extensions/SmiliesSupport/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/sk_SK/plugin.lang.php	(revision 11874)
+++ /extensions/SmiliesSupport/language/sk_SK/plugin.lang.php	(revision 11875)
@@ -1,8 +1,8 @@
 <?php
 
-$lang['smilies_dir'] = "Adresár smajlíkov";
-$lang['nb_columns'] = "Počet stĺpcov";
-$lang['representant'] = "Zástupca";
-$lang['All Smilies'] = "Všetky smajlíky";
+$lang['Smileys\' folder'] = 'Adresár smajlíkov';
+$lang['Nb. columns'] = 'Počet stĺpcov';
+$lang['Representative'] = 'Zástupca';
+$lang['All Smilies'] = 'Všetky smajlíky';
 $lang['smilies_file_help'] = 'Predvolene, ak používateľ klikne na smajlíka, podpora smajlíkov pridá kľúčové slovo spárované s menom súboru (smile.png -> :smile:).<br>
   Ale môžete konfigurovať iné reťazce na prepísanie. Každý adresár smajlíka má vlastný <i>smilies.txt</i> súbor.';
Index: /extensions/SmiliesSupport/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/sv_SE/plugin.lang.php	(revision 11874)
+++ /extensions/SmiliesSupport/language/sv_SE/plugin.lang.php	(revision 11875)
@@ -1,10 +1,10 @@
 <?php
 
-$lang['smilies_dir'] = "Smileys' Mappar";
-$lang['nb_columns'] = "Nb. Kolumer";
-$lang['representant'] = 'Representant';
-$lang['All Smilies'] = "Alla Smilies";
-$lang['smilies_file_help'] = "Som standard när en användare klickar på en smiley, tillägger Smilies Stödja ett sökord som matchar namnet på filen (smile.png -> :smile:).<br>
-  Men här kan du konfigurera andra strängar som ska ersättas. Varje smilies mapp har sin egen <i>smilies.txt</i> fil.";
+$lang['Smileys\' folder'] = 'Smileys\' Mappar';
+$lang['Nb. columns'] = 'Nb. Kolumer';
+$lang['Representative'] = 'Representant';
+$lang['All Smilies'] = 'Alla Smilies';
+$lang['smilies_file_help'] = 'Som standard när en användare klickar på en smiley, tillägger Smilies Stödja ett sökord som matchar namnet på filen (smile.png -> :smile:).<br>
+  Men här kan du konfigurera andra strängar som ska ersättas. Varje smilies mapp har sin egen <i>smilies.txt</i> fil.';
 
 ?>
Index: /extensions/SmiliesSupport/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/tr_TR/plugin.lang.php	(revision 11874)
+++ /extensions/SmiliesSupport/language/tr_TR/plugin.lang.php	(revision 11875)
@@ -1,10 +1,10 @@
 <?php
 
-$lang['smilies_dir'] = "İfadeler' dosya";
-$lang['nb_columns'] = "Numara Sütunü";
-$lang['representant'] = "Temsilci";
-$lang['All Smilies'] = "Tüm İfadeler";
-$lang['smilies_file_help'] = "Kullanıcı bir ifadeye tıkladığı zaman, Smilies Support eklentisi ifade ile eşleşen bir anahtar kelime ekler örnek (smile.png -> :smile:).<br>
-  Burada diğer anahtar kelimeleri düzenleyebilirsiniz. Her gülümseme klasörü kendi <i>smilies.txt</i> dosyasına sahiptir.";
+$lang['Smileys\' folder'] = 'İfadeler\' dosya';
+$lang['Nb. columns'] = 'Numara Sütunü';
+$lang['Representative'] = 'Temsilci';
+$lang['All Smilies'] = 'Tüm İfadeler';
+$lang['smilies_file_help'] = 'Kullanıcı bir ifadeye tıkladığı zaman, Smilies Support eklentisi ifade ile eşleşen bir anahtar kelime ekler örnek (smile.png -> :smile:).<br>
+  Burada diğer anahtar kelimeleri düzenleyebilirsiniz. Her gülümseme klasörü kendi <i>smilies.txt</i> dosyasına sahiptir.';
 
 ?>
Index: /extensions/SmiliesSupport/language/vi_VN/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/vi_VN/plugin.lang.php	(revision 11874)
+++ /extensions/SmiliesSupport/language/vi_VN/plugin.lang.php	(revision 11875)
@@ -1,10 +1,10 @@
 <?php
 
-$lang['smilies_dir'] = "Thư mục hình mặt cười";
-$lang['nb_columns'] = "Nb. Cột";
-$lang['representant'] = "Đại diện";
-$lang['All Smilies'] = "Tất cả hình mặt cười";
-$lang['smilies_file_help'] = "Theo mặc định, khi người dùng click lên một hình mặt cười, thì Mục hỗ trợ Hình mặt cười sẽ thêm vào một từ khóa trùng với tên tệp tin (ví dụ smile.png -> :smile:).<br>
-  Nhưng bạn cũng có thể cấu hình chuỗi ký tự khác cần thay thế tại đây. Mỗi thư mục chứa hình mặt cười đều chứa tệp tin <i>smilies.txt</i> của riêng thư mục đó.";
+$lang['Smileys\' folder'] = 'Thư mục hình mặt cười';
+$lang['Nb. columns'] = 'Nb. Cột';
+$lang['Representative'] = 'Đại diện';
+$lang['All Smilies'] = 'Tất cả hình mặt cười';
+$lang['smilies_file_help'] = 'Theo mặc định, khi người dùng click lên một hình mặt cười, thì Mục hỗ trợ Hình mặt cười sẽ thêm vào một từ khóa trùng với tên tệp tin (ví dụ smile.png -> :smile:).<br>
+  Nhưng bạn cũng có thể cấu hình chuỗi ký tự khác cần thay thế tại đây. Mỗi thư mục chứa hình mặt cười đều chứa tệp tin <i>smilies.txt</i> của riêng thư mục đó.';
 
 ?>
Index: /extensions/SmiliesSupport/template/smiliessupport_admin.tpl
===================================================================
--- /extensions/SmiliesSupport/template/smiliessupport_admin.tpl	(revision 11874)
+++ /extensions/SmiliesSupport/template/smiliessupport_admin.tpl	(revision 11875)
@@ -42,13 +42,13 @@
     <ul>      
     <li>
-      <span class="property">{'smilies_dir'|@translate}</span>
+      <span class="property">{'Smileys\' folder'|@translate}</span>
       <input type="text" size="40" name="text1" value="{$TEXT1_VALUE}" />
     </li>
     <li>
-      <span class="property">{'nb_columns'|@translate}</span>
+      <span class="property">{'Nb. columns'|@translate}</span>
       <input type="text" size="3" name="text2" value="{$TEXT2_VALUE}" />
     </li>    
     <li>
-      <span class="property">{'representant'|@translate}</span>
+      <span class="property">{'Representative'|@translate}</span>
       <input type="text" size="20" name="text3" value="{$TEXT3_VALUE}" />
     </li>
Index: /extensions/SmiliesSupport/template/smiliessupport_page.tpl
===================================================================
--- /extensions/SmiliesSupport/template/smiliessupport_page.tpl	(revision 11874)
+++ /extensions/SmiliesSupport/template/smiliessupport_page.tpl	(revision 11875)
@@ -25,5 +25,5 @@
 <ul style="display:none;">
 <li id="SmiliesSupport" class="markItUpButton markItUpDropMenu">
-  <a id="allsmilies" style="background-image:url({$REPRESENTANT});" title="{'All Smilies'|@translate}"></a>
+  <a id="allsmilies" style="background-image:url({$Representative});" title="{'All Smilies'|@translate}"></a>
 
   <ul id="smiliesdiv">