Index: extensions/photoWidget/language/sv_SE/description.txt
===================================================================
--- extensions/photoWidget/language/sv_SE/description.txt	(revision 11881)
+++ extensions/photoWidget/language/sv_SE/description.txt	(revision 11881)
@@ -0,0 +1,1 @@
+addera en 3D animering för bilder
Index: extensions/photoWidget/language/sv_SE/index.php
===================================================================
--- extensions/photoWidget/language/sv_SE/index.php	(revision 11881)
+++ extensions/photoWidget/language/sv_SE/index.php	(revision 11881)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/photoWidget/language/sv_SE/plugin.lang.php
===================================================================
--- extensions/photoWidget/language/sv_SE/plugin.lang.php	(revision 11881)
+++ extensions/photoWidget/language/sv_SE/plugin.lang.php	(revision 11881)
@@ -0,0 +1,47 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | photoWidget  - a plugin for Piwigo                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+// admin
+$lang['All categories'] = 'Alla kategorier';
+$lang['Animation background color'] = 'Animering bakgrundsfärg';
+$lang['Animation size'] = 'Animering storlek';
+$lang['Applicable categorie(s)'] = 'Applicerbar(a) kategori(er)';
+$lang['Background color of animation has been updated'] = 'Bakgrundsfärgen på animeringen har uppdaterats';
+$lang['Color'] = 'Färg';
+$lang['Height'] = 'Höjd';
+$lang['Height has been updated'] = 'Höjden har uppdaterats';
+$lang['Main configuration'] = 'Huvudkonfigurering';
+$lang['No'] = 'Nej';
+$lang['one category'] = 'en kategori';
+$lang['Photo Widget Plugin'] = 'Foto widget Plugin';
+$lang['severals categories'] = 'flera kategorier';
+$lang['Submit'] = 'Skicka';
+$lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = 'Denna  plugin visar bilder med hjäjp av Flash Movie, som roterar dem i 3D. Fungerar som vanliga kategorier men på ett mer fantasirikt sätt.';
+$lang['Width'] = 'Bredd';
+$lang['Width has been updated'] = 'Bredden har uppdaterats';
+$lang['Yes'] = 'Ja';
+$lang['You can choose that mode for displaying one, severals or all categories'] = 'Du kan välja detta läge för att visa en, flera eller alla kategorier';
+$lang['You choose that mode for'] = 'Du väljer detta läge för att';
+$lang['You must choose at least one category'] = 'Du måste välja minst en kategori';
+
+// public
+$lang['This widget requires Flash Player 9 or better'] = 'Denna widget kräver Flash Player 9 eller högre'; 
+?>