Index: /extensions/bbcode_bar/language/zh_CN/description.txt
===================================================================
--- /extensions/bbcode_bar/language/zh_CN/description.txt	(revision 11897)
+++ /extensions/bbcode_bar/language/zh_CN/description.txt	(revision 11897)
@@ -0,0 +1,1 @@
+在留言及描述中开放使用BBCode.
Index: /extensions/bbcode_bar/language/zh_CN/index.php
===================================================================
--- /extensions/bbcode_bar/language/zh_CN/index.php	(revision 11897)
+++ /extensions/bbcode_bar/language/zh_CN/index.php	(revision 11897)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/bbcode_bar/language/zh_CN/plugin.lang.php
===================================================================
--- /extensions/bbcode_bar/language/zh_CN/plugin.lang.php	(revision 11897)
+++ /extensions/bbcode_bar/language/zh_CN/plugin.lang.php	(revision 11897)
@@ -0,0 +1,38 @@
+<?php
+
+$lang['p_help'] = "段落: [p]段落[/p]";
+$lang['b_help'] = "加粗 : [b]加粗[/b]";
+$lang['i_help'] = "斜体 : [i]斜体[/i]";
+$lang['u_help'] = "下划线 : [u]下划线[/u]";
+$lang['s_help'] = "横线 : [s]横线[/s]";
+
+$lang['center_help'] = "居中 : [center]居中[/center]";
+$lang['right_help'] = "居右 : [right]居右[/right]";
+$lang['ul_help'] = "无序表列 : [ul][li]元素[/li][/ul]";
+$lang['ol_help'] = "有序列表 : [ol][li]元素[/li][/ol]";
+$lang['li_help'] = "列表元素 : [li]元素[/li]";
+
+$lang['quote_help'] = "引言 : [quote]引言[/quote]";
+$lang['img_help'] = "图片 : [img]图片[/img]";
+$lang['url_help'] = "URL : [url=URL]Title[/url]";
+$lang['mail_help'] = "E-mail : [email]Email[/email]";
+
+$lang['size_help'] = "字体大小 : [size=X]文本[/size]";
+$lang['tiny'] = "极细";
+$lang['small'] = "小号";
+$lang['normal'] = "标准";
+$lang['large'] = "大号";
+$lang['huge'] = "超大";
+
+$lang['color_help'] = "字体颜色 : [color=color]文本[/color]";
+$lang['red_help'] = "红色";
+$lang['orange_help'] = "橙色";
+$lang['yellow_help'] = "黄色";
+$lang['green_help'] = "绿色";
+$lang['blue_help'] = "蓝色";
+$lang['purple_help'] = "紫色";
+$lang['white_help'] = "白色";
+$lang['grey_help'] = "灰色";
+$lang['black_help'] = "黑色";
+  
+?>