Index: /extensions/photoWidget/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/ru_RU/plugin.lang.php	(revision 11899)
+++ /extensions/photoWidget/language/ru_RU/plugin.lang.php	(revision 11900)
@@ -20,19 +20,26 @@
 // +-----------------------------------------------------------------------+
 
- $lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = 'Плагин выводит фотографии flash анимацией, с возможностью поворачивать их в режиме 3D. Вы видете свои фотографии, скомпанованные по категориям, но отображенные более притягательным способом.';
- $lang['You can choose that mode for displaying one, severals or all categories'] = 'Вы можете выбрать в каком режим будут показываться фотографии - из одной, нескольких или всех категорий';
- $lang['Main configuration'] = 'Основные настройки';
- $lang['All categories'] = 'Все категории';
- $lang['Applicable categorie(s)'] = 'Применимо к категории(ям)';
- $lang['Animation size'] = 'Размер ролика';
- $lang['Animation background color'] = 'Цвет подложки ролика';
- $lang['Color'] = 'Цвет';
- $lang['You choose that mode for'] = 'Вы выбираете режим для';
- $lang['one category'] = 'для одной категории';
- $lang['all categories'] = 'всех категорий';
- $lang['severals categories'] = 'нескольких категорий';
- $lang['Width has been updated'] = 'ширина была изменена';
- $lang['Height has been updated'] = 'высота была изменена';
- $lang['Background color of animation has been updated'] = 'Цвет подложки ролика был изменен';
- $lang['This widget requires Flash Player 9 or better'] = 'Этот виджет требует версии Flash плеера 9 или выше';
+$lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = 'Плагин выводит фотографии flash анимацией, с возможностью поворачивать их в режиме 3D. Вы видете свои фотографии, скомпанованные по категориям, но отображенные более притягательным способом.';
+$lang['You can choose that mode for displaying one, severals or all categories'] = 'Вы можете выбрать в каком режим будут показываться фотографии - из одной, нескольких или всех категорий';
+$lang['Main configuration'] = 'Основные настройки';
+$lang['All categories'] = 'Все категории';
+$lang['Applicable categorie(s)'] = 'Применимо к категории(ям)';
+$lang['Animation size'] = 'Размер ролика';
+$lang['Animation background color'] = 'Цвет подложки ролика';
+$lang['Color'] = 'Цвет';
+$lang['You choose that mode for'] = 'Вы выбираете режим для';
+$lang['one category'] = 'для одной категории';
+$lang['all categories'] = 'всех категорий';
+$lang['severals categories'] = 'нескольких категорий';
+$lang['Width has been updated'] = 'ширина была изменена';
+$lang['Height has been updated'] = 'высота была изменена';
+$lang['Background color of animation has been updated'] = 'Цвет подложки ролика был изменен';
+$lang['This widget requires Flash Player 9 or better'] = 'Этот виджет требует версии Flash плеера 9 или выше';
+$lang['Height'] = 'Высота';
+$lang['No'] = 'Нет';
+$lang['Photo Widget Plugin'] = 'Плагин фото-виджет';
+$lang['Submit'] = 'Сохранить';
+$lang['Width'] = 'Ширина';
+$lang['Yes'] = 'Да';
+$lang['You must choose at least one category'] = 'Нужно выбрать хотя бы одну категорию';
 ?>