Index: /extensions/piwishack/language/nl_NL/description.txt
===================================================================
--- /extensions/piwishack/language/nl_NL/description.txt	(revision 11914)
+++ /extensions/piwishack/language/nl_NL/description.txt	(revision 11914)
@@ -0,0 +1,1 @@
+Toon een opgemaakte lijst van links om je afbeeldingen op websites/blogs/forums te tonen.
Index: /extensions/piwishack/language/nl_NL/index.php
===================================================================
--- /extensions/piwishack/language/nl_NL/index.php	(revision 11914)
+++ /extensions/piwishack/language/nl_NL/index.php	(revision 11914)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PiwiShack - a Piwigo Plugin                                           |
+// | Copyright (C) 2009 MOREAU Julien - gotcha@piwigo.org                  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/piwishack/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/nl_NL/plugin.lang.php	(revision 11914)
+++ /extensions/piwishack/language/nl_NL/plugin.lang.php	(revision 11914)
@@ -0,0 +1,36 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PiwiShack - a Piwigo Plugin                                           |
+// | Copyright (C) 2009 MOREAU Julien - gotcha@piwigo.org                  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['open_window_piwishack'] 		= 'Open het PiwiShack venster';
+$lang['close_window_piwishack'] 	= 'Sluit het PiwiShack venster';
+$lang['Partage_me'] 				= 'Deel je afbeelding.';
+$lang['text_intro_thumbnail'] 		= 'Toon de miniatuur.';
+$lang['Post_on_a_website_d'] 		= 'Deel de miniatuur pagina\'s (klikbaar). HTML tags.';
+$lang['Post_on_a_forum'] 			= 'Deel de miniatuur (klikbaar) op forums. BBcode tags.';
+$lang['text_intro_normal_view'] 	= 'Normale weergave wordt getoond.';
+$lang['Post_on_a_website_dd'] 		= 'Deel de normale weergave pagina\'s (klikbaar). HTML tags.';
+$lang['Post_a_direct_link'] 		= 'Directe link naar je bestand.';
+$lang['Export_Perso_configurated'] 	= 'Deel je afbeelding overeenkomstig vooraf gedefinieerde condities.';
+$lang['Perso_writer_01'] 			= 'Persoonlijke opmaak, veld #1';
+$lang['Perso_writer_02'] 			= 'Persoonlijke opmaak, veld #2';
+$lang['Perso_writer_03'] 			= 'Persoonlijke opmaak, veld #3';
+$lang['Perso_writer_04'] 			= 'Persoonlijke opmaak, veld #4';
+$lang['Perso_writer_05'] 			= 'Persoonlijke opmaak, veld #5';
+?>